/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.myfaces.orchestra.viewController;

import javax.faces.context.FacesContext;

/**
 * <p>Various utilities used by the viewController framework</p>
 * <p>Notice: this class is not meant to be used outside of this library</p>
 */
public final class _ViewControllerUtils
{
	private final static ViewControllerManager DEFAULT_VCM = new DefaultViewControllerManager();

	private _ViewControllerUtils()
	{
	}

	public static ViewControllerManager getViewControllerManager(FacesContext context)
	{
		ViewControllerManager manager = (ViewControllerManager) context.getApplication().getVariableResolver().resolveVariable(context, ViewControllerManager.VIEW_CONTROLLER_MANAGER_NAME);
		if (manager != null)
		{
			return manager;
		}

		return DEFAULT_VCM;
	}
}
